// .  
var langNoDoc = "No documents open!";
var langNoSelection = "No object selected!";
var langNoTextFramesSelect = "No Text Frames Selected!";
var langRotationAngle = "Rotation angle:";
var langTextFarmesSelected = "TextFrames selected:";
var langSelectNormalAngle = "Select Normal Angle!";
// .    
var langNoDoc = "  !";
var langNoSelection = "  !";
var langNoTextFramesSelect = "   !";
var langRotationAngle = " :";
var langTextFarmesSelected = " :";
var langSelectNormalAngle = " ,  90 !";

var iniScriptName = "Text Rotator";
var iniScriptVersion = "1.0";

with (app) {
	if (documents.length < 1) {
		alert(langNoDoc);
		exit();
	}
	if (selection.length < 1) {
		alert(langNoSelection);
		exit();
	}
	if (selection.length > 0) {
		var myTextFrameSelect = 0;
		for (myCounter = 0; myCounter < selection.length; myCounter++) {
			if (selection[myCounter].constructor.name == "TextFrame") {
				myTextFrameSelect++;
			}
		}
	}
	if (myTextFrameSelect < 1) {
		alert(langNoTextFramesSelect);
		exit();
	}
	var myRotationAngles = new Array("0","90","180","270");
	var myDialog = dialogs.add({name:iniScriptName + " " + iniScriptVersion});
	with (myDialog.dialogColumns.add()) {
		with (borderPanels.add().dialogColumns.add()) {
			with (dialogRows.add()) {
				with (dialogColumns.add()) {
					dialogRows.add().staticTexts.add({staticLabel:langRotationAngle});	
				}
				with (dialogColumns.add()) {
					var mySelectRotationAngle = dialogRows.add().angleComboboxes.add({stringList:myRotationAngles, editValue:0, smallNudge:90, largeNudge:180, minimumValue:0, maximumValue:360});
				}
			}
			with (dialogRows.add()) {
				with (dialogColumns.add()) {
					dialogRows.add().staticTexts.add({staticLabel:langTextFarmesSelected});
				}
				with (dialogColumns.add()) {
					dialogRows.add().staticTexts.add({staticLabel:String(myTextFrameSelect)});
				}
			}
		}
		dialogRows.add().staticTexts.add({staticLabel:"\u00A9 Oleg Butrin"});
		dialogRows.add().staticTexts.add({staticLabel:"http://indesign.rudtp.ru"});		
	}
	var myResult = myDialog.show();
	if (!myResult) {
		exit();
	}
	var myUserAngle = mySelectRotationAngle.editValue;
	var myNormalAngle = false;
	for (myCounter = 0; myCounter < myRotationAngles.length; myCounter++) {
		if (myUserAngle == Number(myRotationAngles[myCounter])) {
			myNormalAngle = true;
		}
	}
	if (!myNormalAngle) {
		alert(langSelectNormalAngle);
		exit();
	}
	for (myCounter = 0; myCounter < selection.length; myCounter++) {
		if (selection[myCounter].constructor.name = "TextFrame") {
			var myObject = selection[myCounter];
			var myBounds = myObject.geometricBounds;
			myObject.rotate(myUserAngle, 1095656308, true, true, false);
			myObject.geometricBounds = myBounds;
		}
	}
	myDialog.destroy();
	exit();
}